Subject: Re: [PATCH net-next 1/4] net: phy: marvell10g: Support firmware loading on 88X3310

From: Tobias Waldekranz <[email-masked]>
Date: Tue, 19 Dec 2023 11:15:41 +0100

On tis, dec 19, 2023 at 10:22, Marek Behún <[email-masked]> wrote:
> On Thu, 14 Dec 2023 21:14:39 +0100
> Tobias Waldekranz <[email-masked]> wrote:
>
>> +MODULE_FIRMWARE("mrvl/x3310fw.hdr");
>
> And do you have permission to publish this firmware into linux-firmware?

No, I do not.

> Because when we tried this with Marvell, their lawyer guy said we can't
> do that...

I don't even have good enough access to ask the question, much less get
rejected by Marvell :) I just used that path so that it would line up
with linux-firmware if Marvell was to publish it in the future.

Should MODULE_FIRMWARE be avoided for things that are not in
linux-firmware?